## python-cartopy 0.14.2%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

export PYBUILD_NAME = cartopy
export PYBUILD_TEST_NOSE = 1
# Testing is restricted to test cases which do not require network access.
# See: https://github.com/SciTools/cartopy/issues/797.
# Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
# the matplotlib Debian package. See Bug-Debian #838301.
export PYBUILD_TEST_ARGS = cartopy.tests.crs \
	cartopy.tests.test_crs \
	cartopy.tests.test_geodesic

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean || true
	rm -rf .pybuild

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Cartopy/Cartopy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cartopy 0.17.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  projection to automatically create list of available CRS projections"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf source/cartopy_outline.rst source/gallery source/matplotlib/coastlines.p??

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cartopy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cartopy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cartopy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cartopy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

projection:
	python make_projection.py

## python-cartopy 0.14.2+dfsg1

=== debian/changelog ===
python-cartopy (0.14.2+dfsg1-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:56 +0000

python-cartopy (0.14.2+dfsg1-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:40:21 +0000

python-cartopy (0.14.2+dfsg1-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:30:00 -0700

python-cartopy (0.14.2+dfsg1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Do not force the package maintainer to install build-dependencies like
    geos on local machine

  [ Ghislain Antony Vaillant ]
  * Fix FTBFS on 32-bit architectures (Closes: #848634)
    New patch 0001-Skip-tests-failing-on-i386-architectures.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 02 Feb 2017 17:51:42 +0000

python-cartopy (0.14.2+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #730670)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 14 Dec 2016 15:59:08 +0000

=== debian/control ===
Source: python-cartopy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: cython,
               cython3,
               debhelper (>= 10),
               dh-python,
               libgeos-dev,
               libproj-dev (>= 4.9.0),
               proj-bin,
               python-all-dev,
               python-nose,
               python-numpy,
               python-pyshp,
               python-setuptools,
               python-shapely (>= 1.5.6),
               python-six (>= 1.3.0),
               python3-all-dev,
               python3-nose,
               python3-numpy,
               python3-pyshp,
               python3-setuptools,
               python3-shapely (>= 1.5.6),
               python3-six (>= 1.3.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-cartopy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-cartopy.git
Homepage: http://scitools.org.uk/cartopy/
X-Python3-Version: >= 3.3

Package: python-cartopy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-gdal,
          python-matplotlib,
          python-owslib,
          python-pil,
          python-pyepsg,
          python-scipy
Description: cartographic library for Python 2
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 2 library.

Package: python3-cartopy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-gdal,
          python3-matplotlib,
          python3-owslib,
          python3-pil,
          python3-pyepsg,
          python3-scipy
Description: cartographic library for Python 3
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 3 library.

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP ;
 python -m nose cartopy.tests.crs cartopy.tests.test_crs cartopy.tests.test_geodesic
Depends: python-cartopy, python-nose
Restrictions: allow-stderr

Test-Command: cd $AUTOPKGTEST_TMP ;
 python3 -m nose cartopy.tests.crs cartopy.tests.test_crs cartopy.tests.test_geodesic
Depends: python3-cartopy, python3-nose
Restrictions: allow-stderr

## python-cartopy 0.16.0+dfsg1

=== debian/changelog ===
python-cartopy (0.16.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 18:52:45 +0200

python-cartopy (0.16.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Remove documentation outside usr/share/doc.
  * Sort targets in rules file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 14:10:38 +0200

python-cartopy (0.16.0+dfsg1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release (Closes: #854167).
  * Update copyright file.
  * Set compat to 11.
  * New python-cartopy-data package for common data files.
  * Standard version bump to 4.1.4:
    - remove get-orig-source target from debian/rules
  * debian/control
    - update maintainer field (python-cartopy is now maintained by the
      debian-gis team)
    - updated Vcs-* fields
    - update dependency list
    - drop ancient X-Python3-Version field
    - add Antonio Valentino to uploaders
  * debian/tests/control
    - switch to pytest
  * debian/patches
    - refresh and renumber all patches
    - new patches to improve compatibility with proj v5
      (Closes: #889931). See also
      https://github.com/OSGeo/proj.4/issues/985,
      https://github.com/OSGeo/proj.4/issues/941 and
      https://github.com/SciTools/cartopy/issues/1071)
  * debian/rules
    - switch to pytst

  [ Bas Couwenberg ]
  * Update Repository URL to use HTTPS in upstream metadata.
  * Update Homepage URL to use HTTPS.
  * Reorder dependencies.
  * Capitalize first letter in short description.
  * Update watch file to handle common issues.
  * Update copyright file, changes:
    - Use standalone license paragraphs
    - Fix PSF license terms (Python-2.0)
    - Use standard public-domain license shortname
  * Update gbp.conf conform the Debian GIS Policy.
  * Refresh patches.
  * Align paths in install and link files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 08 Jun 2018 20:18:37 +0000

=== debian/control ===
Source: python-cartopy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: cython,
               cython3,
               debhelper (>= 11),
               dh-python,
               libgeos-dev,
               libproj-dev (>= 4.9.0),
               proj-bin,
               python-all-dev,
               python-matplotlib,
               python-mock,
               python-numpy,
               python-pyshp,
               python-pytest,
               python-setuptools,
               python-shapely (>= 1.5.6),
               python-six (>= 1.3.0),
               python3-all-dev,
               python3-matplotlib,
               python3-numpy,
               python3-pyshp,
               python3-pytest,
               python3-setuptools,
               python3-shapely (>= 1.5.6),
               python3-six (>= 1.3.0)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
Homepage: https://scitools.org.uk/cartopy/

Package: python-cartopy
Architecture: any
Multi-Arch: same
Depends: python-cartopy-data (= ${source:Version}),
         ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends}
Suggests: python-gdal,
          python-matplotlib,
          python-owslib,
          python-pil,
          python-pyepsg,
          python-scipy
Description: Cartographic library for Python 2
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 2 library.

Package: python3-cartopy
Architecture: any
Multi-Arch: same
Depends: python-cartopy-data (= ${source:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-gdal,
          python3-matplotlib,
          python3-owslib,
          python3-pil,
          python3-pyepsg,
          python3-scipy
Description: Cartographic library for Python 3
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 3 library.

Package: python-cartopy-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: cartographic library for Python (package data)
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides common data files necessary to the library.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 export PYBUILD_NAME = cartopy
-export PYBUILD_TEST_NOSE = 1
+export PYBUILD_INSTALL_ARGS = --install-data=/usr/share/cartopy
+export PYBUILD_TEST_PYTEST = 1
 # Testing is restricted to test cases which do not require network access.
 # See: https://github.com/SciTools/cartopy/issues/797.
 # Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
 # the matplotlib Debian package. See Bug-Debian #838301.
-export PYBUILD_TEST_ARGS = cartopy.tests.crs \
+export PYBUILD_TEST_ARGS = --pyargs \
+	cartopy.tests.crs \
 	cartopy.tests.test_crs \
 	cartopy.tests.test_geodesic
 
@@ -22,6 +24,20 @@
 	dh_auto_clean || true
 	rm -rf .pybuild
 
+override_dh_auto_install:
+	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
+	dh_auto_install
+	$(RM) -r debian/python-cartopy/usr/lib/python2.7/dist-packages/cartopy/data
+	$(RM) -r debian/python-cartopy/usr/lib/python2.7/dist-packages/cartopy/tests/mpl/baseline_images
+	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
+	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images
+
+override_dh_install:
+	dh_install
+
+	# Remove documentation outside usr/share/doc
+	$(RM) debian/*/usr/share/cartopy/data/shapefiles/shapefiles/gshhs/README.TXT
+
 override_dh_python2:
 	dh_python2
 	dh_numpy

## python-cartopy 0.17.0%2Bdfsg

=== debian/control ===
Source: python-cartopy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 12),
               dh-python,
               libgeos-dev,
               libproj-dev (>= 4.9.0),
               proj-bin,
               python3-all-dev,
               python3-filelock,
               python3-fiona,
               python3-matplotlib,
               python3-numpy,
               python3-pil,
               python3-pykdtree,
               python3-pyshp,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-shapely (>= 1.5.6),
               python3-six,
               python3-tk,
               xauth,
               xvfb
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
Homepage: https://scitools.org.uk/cartopy/

Package: python3-cartopy
Architecture: any
Depends: python-cartopy-data (= ${source:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-fiona,
          python3-gdal,
          python3-matplotlib,
          python3-owslib,
          python3-pil,
          python3-pyepsg,
          python3-pykdtree,
          python3-scipy
Description: Cartographic library for Python 3
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 3 library.

Package: python-cartopy-data
Architecture: all
Depends: ${misc:Depends}
Description: cartographic library for Python (package data)
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides common data files necessary to the library.

## python-cartopy 0.17.0+dfsg

=== debian/changelog ===
python-cartopy (0.17.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:47:12 +0800

python-cartopy (0.17.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.3.0, no changes.
  * Don't install subdirectories twice.
    (closes: #921886)
  * Fix symlinks to python-cartopy-data provided directories.
    (closes: #921887)
  * Don't include test output in binary packages.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Feb 2019 08:45:15 +0100

python-cartopy (0.17.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update patch to use xfail for tests failing on i386.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Nov 2018 17:06:14 +0100

python-cartopy (0.17.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Add filelock, fiona & pykdtree (build) dependencies.
  * Add license & copyright for pre_sphinx_gallery.py.
  * Use pytest markers to skip certain tests.
  * Refresh i386 patch.
  * Drop proj 5 patches, fixed upstream.
  * Add python{,3}-{pil,scipy,tk} build dependencies for tests.
  * Use xvfb to run dh_auto_test for Tk tests.
  * Add patch to mark additional tests as requiring network.
  * Remove executable bit from lock files.
  * Remove Multi-Arch fields due to pycompile in postinst.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Nov 2018 11:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,28 @@
            Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: cython3,
-               debhelper (>= 12),
+Build-Depends: cython,
+               cython3,
+               debhelper (>= 11),
                dh-python,
                libgeos-dev,
                libproj-dev (>= 4.9.0),
                proj-bin,
+               python-all-dev,
+               python-filelock,
+               python-fiona,
+               python-matplotlib,
+               python-mock,
+               python-numpy,
+               python-pil,
+               python-pykdtree,
+               python-pyshp,
+               python-pytest,
+               python-scipy,
+               python-setuptools,
+               python-shapely (>= 1.5.6),
+               python-six (>= 1.3.0),
+               python-tk,
                python3-all-dev,
                python3-filelock,
                python3-fiona,
@@ -22,14 +38,43 @@
                python3-scipy,
                python3-setuptools,
                python3-shapely (>= 1.5.6),
-               python3-six,
+               python3-six (>= 1.3.0),
                python3-tk,
                xauth,
                xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
 Homepage: https://scitools.org.uk/cartopy/
+
+Package: python-cartopy
+Architecture: any
+Depends: python-cartopy-data (= ${source:Version}),
+         ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
+Suggests: python-fiona,
+          python-gdal,
+          python-matplotlib,
+          python-owslib,
+          python-pil,
+          python-pyepsg,
+          python-pykdtree,
+          python-scipy
+Description: Cartographic library for Python 2
+ Cartopy is a Python package designed to make drawing maps for data analysis
+ and visualisation easy.
+ .
+ It features:
+ .
+   - object oriented projection definitions
+   - point, line, polygon and image transformations between projections
+   - integration to expose advanced mapping in matplotlib with a simple and
+     intuitive interface
+   - powerful vector data handling by integrating shapefile reading with
+     Shapely capabilities
+ .
+ This package provides the Python 2 library.
 
 Package: python3-cartopy
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 # See: https://github.com/SciTools/cartopy/issues/797.
 # Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
 # the matplotlib Debian package. See Bug-Debian #838301.
-export PYBUILD_TEST_ARGS = --pyargs \
-	cartopy.tests.crs \
-	cartopy.tests.test_crs \
-	cartopy.tests.test_geodesic
+export PYBUILD_TEST_ARGS = --pyargs -m "not network and not natural_earth"
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -23,6 +20,9 @@
 override_dh_auto_clean:
 	dh_auto_clean || true
 	rm -rf .pybuild
+
+override_dh_auto_test:
+	xvfb-run -a -n 1 -s "-screen 0 1280x1024x24 -dpi 96" dh_auto_test
 
 override_dh_auto_install:
 	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
@@ -36,7 +36,10 @@
 	dh_install
 
 	# Remove documentation outside usr/share/doc
-	$(RM) debian/*/usr/share/cartopy/data/shapefiles/shapefiles/gshhs/README.TXT
+	$(RM) debian/*/usr/share/cartopy/data/shapefiles/gshhs/README.TXT
+
+	# Don't include test output
+	$(RM) -r debian/*/usr/lib/python*/dist-packages/cartopy_test_output
 
 override_dh_python2:
 	dh_python2

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP ;
 python -m pytest --pyargs cartopy.tests.crs cartopy.tests.test_crs cartopy.tests.test_geodesic
Depends: python-cartopy, python-pytest, python-mock
Restrictions: allow-stderr

Test-Command: cd $AUTOPKGTEST_TMP ;
 python3 -m pytest --pyargs cartopy.tests.crs cartopy.tests.test_crs cartopy.tests.test_geodesic
Depends: python3-cartopy, python3-pytest
Restrictions: allow-stderr

## python-cartopy 0.18.0%2Bdfsg

=== debian/tests/control ===
Depends: python3-cartopy, python3-pytest
Tests: python3
Restrictions: allow-stderr

## python-cartopy 0.18.0+dfsg

=== debian/changelog ===
python-cartopy (0.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest control file.
    (closes: #970966)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 11:48:04 +0100

python-cartopy (0.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 May 2020 05:51:43 +0200

python-cartopy (0.18.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2020 10:35:25 +0200

python-cartopy (0.18.0~b2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Drop no-network.patch, applied upstream. Refresh remaining patches.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Apr 2020 15:15:53 +0200

python-cartopy (0.18.0~b1+dfsg-1~exp2) experimental; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS due to test failures.
    (closes: #951767)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Feb 2020 15:27:07 +0100

python-cartopy (0.18.0~b1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Update watch file for pre-releases.
  * Update copyright years for Met Office.
  * Drop patches applied upstream. Refresh remaining patches.
  * Add patch to mark additional tests that require network.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Feb 2020 09:52:49 +0100

python-cartopy (0.17.0+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS due to test failures.
    (closes: #951767)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Feb 2020 15:50:38 +0100

python-cartopy (0.17.0+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Add upstream patch to fix test failures with newer Matplotlib.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jan 2020 10:38:43 +0100

python-cartopy (0.17.0+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop Provides: ${python3:Provides}.
  * Ignore test failures on s390x & ppc64 like shapely.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Nov 2019 17:03:55 +0100

python-cartopy (0.17.0+dfsg-6) unstable; urgency=medium

  * Remove Python 2 from debian/tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:45:17 +0000

python-cartopy (0.17.0+dfsg-5) unstable; urgency=medium

  [ Antonio Valentino ]
  * Drop Python 2 support.
  * Set compat to 12.
  * Remove unnecessary greater-than versioned dependency from
    python3-six
  * debian/rules:
    - improved clean rule

  [ Bas Couwenberg ]
  * Add ${python3:Provides} to arch: any packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 15:02:58 +0000

python-cartopy (0.17.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Link examples into the doc directory.
  * debian/patches:
    - refresh and renumber all patches.
  * Improve autopkgtest scripts.

  [ Bas Couwenberg ]
  * Sort & align links.
  * Remove package name from lintian overrides.
  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for PROJ 6.0.0 compatibility.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Enable pie hardening flags.
  * Add patch to skip tests that fail with PROJ 6.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Jul 2019 12:35:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Workaround for proj_api.h deprecation in PROJ 6.0.0
+export DEB_CFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
 
 export PYBUILD_NAME = cartopy
 export PYBUILD_INSTALL_ARGS = --install-data=/usr/share/cartopy
@@ -15,20 +18,25 @@
 export PYBUILD_TEST_ARGS = --pyargs -m "not network and not natural_earth"
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean || true
-	rm -rf .pybuild
+	$(RM) -r .pybuild
+	$(RM) -r __pycache__
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter $(DEB_BUILD_ARCH),s390x ppc64))
+	xvfb-run -a -n 1 -s "-screen 0 1280x1024x24 -dpi 96" dh_auto_test || echo "Ignoring test failures"
+else
 	xvfb-run -a -n 1 -s "-screen 0 1280x1024x24 -dpi 96" dh_auto_test
+endif
+endif
 
 override_dh_auto_install:
 	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
 	dh_auto_install
-	$(RM) -r debian/python-cartopy/usr/lib/python2.7/dist-packages/cartopy/data
-	$(RM) -r debian/python-cartopy/usr/lib/python2.7/dist-packages/cartopy/tests/mpl/baseline_images
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images
 
@@ -41,10 +49,6 @@
 	# Don't include test output
 	$(RM) -r debian/*/usr/lib/python*/dist-packages/cartopy_test_output
 
-override_dh_python2:
-	dh_python2
-	dh_numpy
-
 override_dh_python3:
 	dh_python3
 	dh_numpy3

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|cartopy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/cartopy-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/SciTools/cartopy/releases \
(?:.*?/archive/)?(?:rel|v|cartopy)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cartopy 0.20.2%2Bdfsg

=== debian/changelog ===
python-cartopy (0.20.2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:26:49 +0000

python-cartopy (0.20.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Jan 2022 05:53:55 +0100

python-cartopy (0.20.1+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Drop test_crs.patch, no longer required.
  * Add python3-all to test depends.
    (closes: #999101)
  * Also ignore test failures on mips64el.
  * Explicitly use Agg matplotlib backend.

  [ Antonio Valentino ]
  * Update d/copyright file.
  * debian/control:
    - add Rules-Requires-Root: no
    - remove unnecessary greater-than versioned dependency from python3-shapely.
  * debian/python3-cartopy.lintian-overrides:
    - add item for application-in-library-section
    - add item for library-package-name-for-application
    - add item for no-manual-page usr/bin/cartopy_feature_download.py.
  * debian/rules:
    - rename scripts in usr/bin to remove the language extension.
  * debian/patches:
    - refresh and renumber all patches

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Dec 2021 14:19:15 +0100

python-cartopy (0.20.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Oct 2021 07:57:18 +0200

python-cartopy (0.20.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Oct 2021 07:48:09 +0200

python-cartopy (0.20.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    (closes: #983222)
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update (build) dependencies.
  * Refresh patches.
  * Add patch to ignore test failures when pyproj is built with PROJ < 8.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Sep 2021 07:18:51 +0200

python-cartopy (0.19.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix test failure with GEOS 3.9.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Aug 2021 21:17:31 +0200

python-cartopy (0.19.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update watch file to ignore .postN releases.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 16:45:05 +0200

python-cartopy (0.19.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Apr 2021 05:52:31 +0200

python-cartopy (0.19.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update copyright file.
  * Update build dependencies.
  * Refresh patches.
  * Add script to generate _version.py, see:
    https://github.com/SciTools/cartopy/issues/1746

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Mar 2021 07:29:39 +0100

=== debian/control ===
Source: python-cartopy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Rules-Requires-Root: no
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               libgeos-dev,
               libproj-dev (>= 8.0.0),
               proj-bin (>= 8.0.0),
               python3-all-dev,
               python3-fiona,
               python3-flufl.lock,
               python3-matplotlib,
               python3-numpy,
               python3-packaging,
               python3-pil,
               python3-pykdtree,
               python3-pyproj (>= 3.0.0),
               python3-pyshp,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-shapely,
               python3-tk,
               xauth,
               xvfb
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
Homepage: https://scitools.org.uk/cartopy/

Package: python3-cartopy
Architecture: any
Depends: python-cartopy-data (= ${source:Version}),
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-fiona,
          python3-gdal,
          python3-matplotlib,
          python3-owslib,
          python3-pil,
          python3-pykdtree,
          python3-scipy
Description: Cartographic library for Python 3
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides the Python 3 library.

Package: python-cartopy-data
Architecture: all
Depends: ${misc:Depends}
Description: cartographic library for Python (package data)
 Cartopy is a Python package designed to make drawing maps for data analysis
 and visualisation easy.
 .
 It features:
 .
   - object oriented projection definitions
   - point, line, polygon and image transformations between projections
   - integration to expose advanced mapping in matplotlib with a simple and
     intuitive interface
   - powerful vector data handling by integrating shapefile reading with
     Shapely capabilities
 .
 This package provides common data files necessary to the library.

## python-cartopy 0.20.2+dfsg

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 # Workaround for proj_api.h deprecation in PROJ 6.0.0
 export DEB_CFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
+
+export MPLBACKEND=Agg
 
 export PYBUILD_NAME = cartopy
 export PYBUILD_INSTALL_ARGS = --install-data=/usr/share/cartopy
@@ -20,14 +22,22 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean $(CURDIR)/lib/cartopy/_version.py
+
 override_dh_auto_clean:
 	dh_auto_clean || true
 	$(RM) -r .pybuild
 	$(RM) -r __pycache__
 
+override_dh_auto_configure:
+	python3 $(CURDIR)/debian/version.py
+
+	dh_auto_configure
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq (,$(filter $(DEB_BUILD_ARCH),s390x ppc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el s390x ppc64))
 	xvfb-run -a -n 1 -s "-screen 0 1280x1024x24 -dpi 96" dh_auto_test || echo "Ignoring test failures"
 else
 	xvfb-run -a -n 1 -s "-screen 0 1280x1024x24 -dpi 96" dh_auto_test
@@ -39,6 +49,7 @@
 	dh_auto_install
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
 	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images
+	mv debian/python3-cartopy/usr/bin/cartopy_feature_download.py debian/python3-cartopy/usr/bin/cartopy_feature_download
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Depends: python3-all, python3-cartopy, python3-pytest
Tests: python3
Restrictions: allow-stderr

## python-cartopy 0.20.3+dfsg

=== debian/changelog ===
python-cartopy (0.20.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop proj-9.0.1.patch, fixed upstream.
  * Update lintian overrides.
  * Use supported python3 versions in autopkgtest.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jun 2022 05:27:34 +0200

python-cartopy (0.20.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to set setup() version for .egg-info.
  * Add patch to fix FTBFS with PROJ 9.0.1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Jun 2022 16:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-tk,
                xauth,
                xvfb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
 Homepage: https://scitools.org.uk/cartopy/

## python-cartopy 0.21.1+dfsg

=== debian/changelog ===
python-cartopy (0.21.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Drop broken symlink to examples.
    (closes: #1036597)
  * Bump debhelper compat to 13.
  * Add patch to fix FTBFS with PROJ 9.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2023 21:03:35 +0200

python-cartopy (0.21.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2022 09:18:35 +0100

python-cartopy (0.21.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add -v to pytest arguments.
  * Use patch to not set RPATH in libraries.
  * Don't use xvfb-run for tests, causes FTBFS.
  * Sync tests between autopkgtest & build.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 21:35:01 +0100

python-cartopy (0.21.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete workaround for proj_api.h deprecation.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 15:34:24 +0100

python-cartopy (0.21.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Enable Salsa CI.
  * Add python3-pytest-mpl to tests control.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Sep 2022 20:07:04 +0200

python-cartopy (0.21.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies:
    - Drop python3-flufl.lock
    - Add python3-pytest-mpl
  * Refresh patches.
  * Export SETUPTOOLS_SCM_PRETEND_VERSION, don't generate version file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Sep 2022 06:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libgeos-dev,
                libproj-dev (>= 8.0.0),
                proj-bin (>= 8.0.0),
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-fiona,
-               python3-flufl.lock,
                python3-matplotlib,
                python3-numpy,
                python3-packaging,
@@ -22,13 +22,13 @@
                python3-pyproj (>= 3.0.0),
                python3-pyshp,
                python3-pytest,
+               python3-pytest-mpl,
                python3-scipy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-shapely,
-               python3-tk,
-               xauth,
-               xvfb
-Standards-Version: 4.6.1
+               python3-tk
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-cartopy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-cartopy.git
 Homepage: https://scitools.org.uk/cartopy/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export SETUPTOOLS_SCM_PRETEND_VERSION = $(UPSTREAM_VERSION)

export MPLBACKEND=Agg

export PYBUILD_NAME = cartopy
export PYBUILD_INSTALL_ARGS = --install-data=/usr/share/cartopy
export PYBUILD_TEST_PYTEST = 1
# Testing is restricted to test cases which do not require network access.
# See: https://github.com/SciTools/cartopy/issues/797.
# Testing of the plot feature (cartopy/tests/mpl/*) is disabled due to a bug in
# the matplotlib Debian package. See Bug-Debian #838301.
export PYBUILD_TEST_ARGS = --pyargs -v -m "not network and not natural_earth"

%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_clean:
	dh_clean $(CURDIR)/lib/cartopy/_version.py

override_dh_auto_clean:
	dh_auto_clean || true
	$(RM) -r .pybuild
	$(RM) -r __pycache__

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el s390x ppc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif
endif

override_dh_auto_install:
	mkdir -p debian/python-cartopy-data/usr/share/cartopy/data
	dh_auto_install
	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/data
	$(RM) -r debian/python3-cartopy/usr/lib/python3*/dist-packages/cartopy/tests/mpl/baseline_images
	mv debian/python3-cartopy/usr/bin/cartopy_feature_download.py debian/python3-cartopy/usr/bin/cartopy_feature_download

	# Remove documentation outside usr/share/doc
	$(RM) debian/*/usr/share/cartopy/data/shapefiles/gshhs/README.TXT

	# Remove extra license files
	$(RM) debian/*/usr/lib/python*/dist-packages/*/COPYING
	$(RM) debian/*/usr/lib/python*/dist-packages/*/COPYING.LESSER

	# Don't include test output
	$(RM) -r debian/*/usr/lib/python*/dist-packages/cartopy_test_output

override_dh_python3:
	dh_python3 -p python3-cartopy

override_dh_numpy3:
	dh_numpy3 -p python3-cartopy
